#include<bits/stdc++.h>
using namespace std;
int X, Y;
int broj = 0;
int d=1;
int main(){

    cin >> X >> Y;

    while (X!=0 or Y!=0){

        int veci=max(X%10, Y%10);

        if(X%10==Y%10 and X>0 and Y>0){
            broj=broj+veci*d+veci*d*10;
            d*=100;
        }

        else {
                broj=broj+veci*d;
                d*=10;
        }

        X=X/10;
        Y=Y/10;
    }

    cout << broj;

return 0;
}